std::packaged_task< _Res(_ArgTypes...)> Class Template Reference

## Public Member Functions

template<typename _Fn , typename = __not_same<_Fn>>
| packaged_task (_Fn &&__fn)
| packaged_task (const packaged_task &)=delete
| packaged_task (packaged_task &&__other) noexcept
future< _Res > | get_future ()
void | make_ready_at_thread_exit (_ArgTypes... __args)
void | operator() (_ArgTypes... __args)
packaged_task & | operator= (const packaged_task &)=delete
packaged_task & | operator= (packaged_task &&__other) noexcept
void | reset ()
void | swap (packaged_task &__other) noexcept
bool | valid () const noexcept

## Detailed Description

### template<typename _Res, typename... _ArgTypes>
class std::packaged_task< _Res(_ArgTypes...)>

packaged_task

Definition at line 1517 of file future.

The documentation for this class was generated from the following file:

- future